#!/bin/sh
# $Id: patch.sh,v 2.2 1995/10/12 21:55:01 guru Exp $
#
# script to patch the path to cgi-bin & HTML-root
# please change the following two lines to reflect your system
#
# additional we patch the "@@FAQ@@" in search.pl to the location
# of the HylaFAQ itself
#
#############################################################################
#
  ROOT=${1-http://thias/hylafax}
CGIBIN=${2-http://thias/hylafax-cgi-bin}
#
# you could also make use of the HylaFAX home page at www.vix.com:
#
#   ROOT=${1-http://www.vix.com/hylafax/}
# CGIBIN=${2-http://www.vix.com/cgi-bin/}
#
#############################################################################

# patch the @CGIPATH@ patterns in all *.html files
#
PATTERN=@CGIPATH@

patch()
{
   	chmod +w $1
    	ed $1<<EOF
g;$PATTERN;s;;$CGIBIN;g
w
q
EOF
    	chmod -w $1
}

FILES=`grep -l "$PATTERN" *.html`
test "$FILES" && {
   for i in $FILES
   do
       echo $i; patch $i;
   done
}

# patch the HTML-root
#
PATTERN=@HTMLPATH@

patch()
{
   	chmod +w $1
    	ed $1<<EOF
g;$PATTERN;s;;$ROOT;g
w
q
EOF
    chmod -w $1
}

FILES=`grep -l "$PATTERN" *.html`
test "$FILES" && {
   for i in $FILES
   do
       echo $i; patch $i;
   done
}

# patch @@FAQ@@ to the location of the HylaFAQ in search.pl
#
PATTERN=@@FAQ@@
LOCATION=`pwd`

ed search.pl <<EOF
g;$PATTERN;s;;$LOCATION;g
w
q
EOF
