#!/bin/ksh
#	$Header: /home2/guru/hylafax/FAQ/FAQ.src/RCS/collect.sh,v 2.2 1995/10/12 21:55:01 guru Exp $
#
# Copyright (c) 1994-1995 Sam Leffler
# Copyright (c) 1994-1995 Silicon Graphics, Inc.
# 
# Permission to use, copy, modify, distribute, and sell this software and 
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
# 
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
# 
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
# OF THIS SOFTWARE.
#

#
# collect.sh
#

ECHO=/bin/echo
SED=/bin/sed
CAT=/bin/cat

MAILADDR="guru@softcon.de"

putFooter()
{
	$CAT<<'EOF'
<ADDRESS>
<B>Note: </B>Some of the hyperlinks (e.g. for the man pages)
can only work, if the HylaFAX software
and the full dokumentation are installed on your system.
<P>
<A HREF="http://www.guug.de/GUUG/firmen/apitz/">Matthias Apitz</A> / <A HREF="ma
ilto:guru@softcon.de">guru@softcon.de</A>.
</ADDRESS>

</BODY>
</HTML>
EOF
}

filter()
{
	for x do
	    QNUM=`$ECHO $x | $SED 's/Q\(.*\)\.html/\1/'`
	    $SED -e '/<HEAD>/,/<\/HEAD>/d'\
		-e "/<DT>[AQ]/s//&$QNUM/" \
		-e '/^<A HREF="mailto:flexfaq/,/^<HR>/d'\
		-e '/<ADDRESS>/,$d'\
		$x
	done
}

page_break () {
    $CAT<<'EOF'
<HR>
EOF
}

    filter index.html

    page_break

    i=1
    eval f=Q${i}.html
    while [ ${i} -lt 200  ];
    do
        if [ -f "$f"  ];
        then
		filter $f
        	page_break
        fi
	i=`expr $i + 1`
       	eval f=Q${i}.html
    done
    putFooter
    exit 0
